跳转到内容

V1.0

用 AI 处理上传的图片,生成指甲油与穿戴甲虚拟试戴体验。

执行 AI 美甲虚拟试用 任务。

请求

本接口用于发起 AI 美甲虚拟试用流程。您需要提供源文件与参考图(URL 或文件 ID),以及具体的美甲特效配置。任务会异步处理,您可以使用本响应返回的 task_id 查询其状态。

安全
BearerAuthenticationV2
正文application/json必需
Any of:
versionstring必需

美甲特效规格的版本号。 未特别指定时默认为 "1.0"。

默认值:"1.0"
示例:"1.0"
effect_typestring必需
Enum:"nail_polish""press_on_nails"
示例:"nail_polish"
effectsArray of any必需
src_file_urlstring必需

用于运行任务的文件 URL,该 URL 需可公开访问。

示例:"https://example.com/selfie.jpg"
ref_file_urlsArray of strings, non-empty
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/nail-vto \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "ref_file_urls": [
      "https://example.com/accessory.jpg"
    ],
    "version": "1.0",
    "effect_type": "nail_polish",
    "effects": [
      {
        "sub_type": "color",
        "finger": "thumb",
        "color": "string",
        "texture": "matte",
        "reflection": 0,
        "contrast": 0,
        "roughness": 0,
        "transparency": 0
      }
    ]
  }'

响应

任务执行成功

正文application/json
statusinteger

响应状态

示例:200
dataobject
响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }